osl::checkmate::ProofPieces Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | List of all members
osl::checkmate::ProofPieces Struct Reference

`#include <proofPieces.h>`

## Static Public Member Functions
static const PieceStand | leaf (const NumEffectState &state, Player attacker, const PieceStand max)
static const PieceStand | attack (const PieceStand prev, Move move, const PieceStand max)
static const PieceStand | defense (const CheckMoveList &moves, const NumEffectState &state, PieceStand max)

## Detailed Description

Definition at line 13 of file proofPieces.h.

## Member Function Documentation

static const PieceStand osl::checkmate::ProofPieces::attack | ( | const PieceStand | prev,
|  | Move | move,
|  | const PieceStand | max
| ) |  |
| inlinestatic

Definition at line 25 of file proofPieces.h.

References osl::captured(), osl::Move::capturePtype(), osl::PieceStand::get(), osl::Move::isDrop(), osl::isPiece(), osl::Move::isValid(), osl::Move::ptype(), result, and osl::unpromote().

Referenced by osl::checkmate::FixedDepthSearcher2::attack(), osl::checkmate::FixedDepthSearcher::attack(), and osl::checkmate::Dfpn::Node::setCheckmateAttack().

static const PieceStand osl::checkmate::ProofPieces::defense | ( | const CheckMoveList & | moves,
|  | const NumEffectState & | state,
|  | PieceStand | max
| ) |  |
| static

static const PieceStand osl::checkmate::ProofPieces::leaf | ( | const NumEffectState & | state,
|  | Player | attacker,
|  | const PieceStand | max
| ) |  |
| inlinestatic

Definition at line 15 of file proofPieces.h.

References osl::checkmate::ProofPiecesUtil::addMonopolizedPieces(), osl::alt(), osl::effect_util::UnblockableCheck::isMember(), and result.

Referenced by osl::checkmate::Dfpn::defense(), osl::checkmate::FixedDepthSearcher2::defense(), osl::checkmate::FixedDepthSearcher::defense(), osl::checkmate::FixedDepthSearcher2::defenseEstimation(), osl::checkmate::FixedDepthSearcher::defenseEstimation(), and osl::checkmate::Dfpn::proofOracleDefense().

The documentation for this struct was generated from the following file:

- proofPieces.h